/ api / name / gb.push
GB.Push
Syntax

    void GB.Push ( int nval , ... )

Push values on the interpreter stack.

- nval is the number of values you want to push.

The values are passed as additional arguments this way : the type of the value, followed by the data representing the value, this being repeated for each value.

When pushing a String, you must give a string pointer and a length.

### Examples

    GB.Push(4,
      GB_BOOLEAN, 1,
      GB_INTEGER, 1972,
      GB_FLOAT, 3.1416,
      GB_STRING, "Gambas", 6
      );

### See also

Calling Functions